Skip to main content
GET
/
lookup-tables
List Lookup Tables
curl --request GET \
  --url https://{region}.mixpanel.com/lookup-tables \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://{region}.mixpanel.com/lookup-tables"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://{region}.mixpanel.com/lookup-tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "status": "OK",
  "results": [
    {
      "id": "55b4fb2b-e8de-466c-930f-8b36640b9b5e",
      "name": "Accounts"
    },
    {
      "id": "1297297a-43a7-4cac-82b0-635d2bd88aac",
      "name": "Product Catalog"
    }
  ]
}
{
"code": 401,
"error": "Invalid credentials",
"status": "Unauthorized"
}

Authorizations

Authorization
string
header
required

Service Account

Query Parameters

project_id
string
default:<YOUR_PROJECT_ID>
required

The Mixpanel project_id, used to authenticate service account credentials.

Response

The list of Lookup Tables.

code
number
status
string
results
object[]